Subject: Re: bug#496: Has speech-dispatcher been forked?

From: Gregory Nowak <[email-masked]>
Date: Mon, 3 May 2021 16:05:53 -0700

On Mon, May 03, 2021 at 12:40:52PM +0200, Arne Wichmann wrote:
> Category error: "text based interface" is anything you can do with a VT220
> (or so), so arrow and tab apply. My point is about text vs graphics, not
> commandline versus what Mike Gancarz[1] called CUI.

I'll put this more plainly with no room for ambiguity. There are
plenty of visually impaired and blind people who prefer a graphical
user interface to typing commands at a command prompt.

> So it seems you are back at forking, aren't you?

I always was, since a couple of devuan developers suggested this is
the way forward. I've been thinking this through over the weekend. If
the answer to changing pulseaudio configuration is an override package
instead of forking pulseaudio from debian, then it makes sense to
override speech-dispatcher configuration instead of forking it from
debian. So, something like a debian-speech-dispatcher-config-override
package which would make the necessary changes to
/etc/speech-dispatcher/speechd.conf, and which would remove
debian-pulseaudio-config-override if it is already installed. If this
seems acceptable, I would have to read up on how to package for
devuan, and look at how we can integrate this into a freshly installed
system if an accessible install is being done. A comaintainer on this
would still be welcome.

Also, why the urgency to downgrade this bug to wish list, or close it?
Is the grave severity holding up the release of Chimerra? If yes, then
I'm willing to downgrade this bug to wish list status, so a record of
this issue is still in the bug tracker, until it is resolved in some
way. If grave severity isn't preventing the release of Chimerra, then
I see no reason why this bug can't simply be left as is until it is
resolved in some way.

Greg